#!/bin/bash

# Library

varSysInfo=$(uname -m)

init_winedir()
{
	Winedir=$1
	winTmpDirU="$Winedir/dosdevices/c:/windows/temp"
	winTmpDirW="C:\\windows\\Temp"
}

bin_exists()
{
	[ -x "$(which $1)" ]
}

override_app_dlls()
{
# thank's to winetricks project :-)
# example : w_override_app_dlls winword.exe riched20 native
# options native builtin default

	oad_App=$1
	oad_dll=$2
	oad_option=$3

	echo "REGEDIT4" > $winTmpDirU/override-dll.reg
	echo "" >> $winTmpDirU/override-dll.reg
	echo "[HKEY_CURRENT_USER\\Software\\Wine\\AppDefaults\\$oad_App\\DllOverrides]" >> "$winTmpDirU/override-dll.reg"

	if [ "$oad_option" = default ]
	then
		echo "\"*$oad_dll\"=-" >> $winTmpDirU/override-dll.reg
	else
		echo "\"*$oad_dll\"=\"$oad_option\"" >> "$winTmpDirU/override-dll.reg"
	fi
	
	WINEARCH=win32 WINEPREFIX=$Winedir wine regedit "/S" "$winTmpDirW\\override-dll.reg"

	rm $winTmpDirU/override-dll.reg
	unset oad_App oad_dll oad_option
}
